<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackerPulseConst.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackerPulseConst.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tracker_pulse_const_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_ConstTrackerPulse_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_ConstTrackerPulse_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_pulse_obj_8h.html">eicd/TrackerPulseObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// forward declarations</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">class </span>TrackerData;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">class </span>ConstTrackerData;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;}</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>TrackerPulse;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>TrackerPulseCollection;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">class </span>TrackerPulseCollectionIterator;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_pulse.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_pulse_collection.html">TrackerPulseCollection</a>;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_pulse_collection_iterator.html">TrackerPulseCollectionIterator</a>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_pulse.html#a71c2523f628691fd791dd6f6347f0fc8">ConstTrackerPulse</a>();</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_pulse.html#a71c2523f628691fd791dd6f6347f0fc8">ConstTrackerPulse</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html#a49299e9524596d3547d0cfd98d2e3609">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html#acd2d4064bacf0b07dd4002e2274ef604">cellID1</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html#a371d323e29bc0a8230ff365b1d281cdc">quality</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html#ac6835fcd964d15097a1a6621ae0ecc54">time</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html#aef044092af798fe1bff41fa1ed0636b9">charge</a>);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_pulse.html#a71c2523f628691fd791dd6f6347f0fc8">ConstTrackerPulse</a>(<a class="code" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a>* obj);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_pulse.html#a71c2523f628691fd791dd6f6347f0fc8">ConstTrackerPulse</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a>&amp; other);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a>&amp; <a class="code" href="classeic_1_1_const_tracker_pulse.html#acd95d10c54acf464f6eac03d8eb5b043">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a>&amp; other);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> <a class="code" href="classeic_1_1_const_tracker_pulse.html#a73decb264f1fa73d21378aa2816ab0e2">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <a class="code" href="classeic_1_1_const_tracker_pulse.html#a905855d506d2e072a07ba604134d69f2">~ConstTrackerPulse</a>();</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_tracker_pulse.html#a49299e9524596d3547d0cfd98d2e3609">cellID0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_tracker_pulse.html#acd2d4064bacf0b07dd4002e2274ef604">cellID1</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_const_tracker_pulse.html#a371d323e29bc0a8230ff365b1d281cdc">quality</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_tracker_pulse.html#ac6835fcd964d15097a1a6621ae0ecc54">time</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_tracker_pulse.html#aef044092af798fe1bff41fa1ed0636b9">charge</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  const ::eic::ConstTrackerData <a class="code" href="classeic_1_1_const_tracker_pulse.html#aee17c4b82128d799b8952e76a58bceca">corrData</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html#a28edc3f3c75883b269ad7ae00a2f3012">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_pulse.html#a2bdadbffbf417e2721e9ae3f63d4cd17">   81</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html#a2bdadbffbf417e2721e9ae3f63d4cd17">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_pulse.html#adf27c57908c034ff5b5b0be05a88976f">   83</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html#adf27c57908c034ff5b5b0be05a88976f">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html#adf27c57908c034ff5b5b0be05a88976f">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_pulse.html#ae131adc309eb87e22baae27a169adaa5">   87</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html#ae131adc309eb87e22baae27a169adaa5">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="classeic_1_1_const_tracker_pulse.html#aaa01f4bd4ea156f8f9f832e340bc1ef7">   89</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html#aaa01f4bd4ea156f8f9f832e340bc1ef7">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_tracker_pulse.html#a8e4c306e1d9ec7a0b69e8c0a5c2d7a2a">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_const_tracker_pulse.html#a8e4c306e1d9ec7a0b69e8c0a5c2d7a2a">getObjectID</a>().index; }</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_tracker_pulse.html#a8e4c306e1d9ec7a0b69e8c0a5c2d7a2a">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <a class="code" href="classeic_1_1_tracker_pulse_obj.html">TrackerPulseObj</a>* m_obj;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;};</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_const_tracker_pulse_html_a8e4c306e1d9ec7a0b69e8c0a5c2d7a2a"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#a8e4c306e1d9ec7a0b69e8c0a5c2d7a2a">eic::ConstTrackerPulse::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8cc_source.html#l00076">TrackerPulseConst.cc:76</a></div></div>
<div class="ttc" id="_tracker_pulse_obj_8h_html"><div class="ttname"><a href="_tracker_pulse_obj_8h.html">TrackerPulseObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse.html">eic::TrackerPulse</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_8h_source.html#l00030">TrackerPulse.h:30</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection.html">eic::TrackerPulseCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8h_source.html#l00050">TrackerPulseCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_a71c2523f628691fd791dd6f6347f0fc8"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#a71c2523f628691fd791dd6f6347f0fc8">eic::ConstTrackerPulse::ConstTrackerPulse</a></div><div class="ttdeci">ConstTrackerPulse()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8cc_source.html#l00017">TrackerPulseConst.cc:17</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_ae131adc309eb87e22baae27a169adaa5"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#ae131adc309eb87e22baae27a169adaa5">eic::ConstTrackerPulse::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const ConstTrackerPulse &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8h_source.html#l00087">TrackerPulseConst.h:87</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_a905855d506d2e072a07ba604134d69f2"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#a905855d506d2e072a07ba604134d69f2">eic::ConstTrackerPulse::~ConstTrackerPulse</a></div><div class="ttdeci">~ConstTrackerPulse()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8cc_source.html#l00048">TrackerPulseConst.cc:48</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_aaa01f4bd4ea156f8f9f832e340bc1ef7"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#aaa01f4bd4ea156f8f9f832e340bc1ef7">eic::ConstTrackerPulse::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8h_source.html#l00089">TrackerPulseConst.h:89</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_a49299e9524596d3547d0cfd98d2e3609"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#a49299e9524596d3547d0cfd98d2e3609">eic::ConstTrackerPulse::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8cc_source.html#l00051">TrackerPulseConst.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_a2bdadbffbf417e2721e9ae3f63d4cd17"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#a2bdadbffbf417e2721e9ae3f63d4cd17">eic::ConstTrackerPulse::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from TrackerPulseObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8h_source.html#l00081">TrackerPulseConst.h:81</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_a371d323e29bc0a8230ff365b1d281cdc"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#a371d323e29bc0a8230ff365b1d281cdc">eic::ConstTrackerPulse::quality</a></div><div class="ttdeci">const int &amp; quality() const</div><div class="ttdoc">Access the ... </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8cc_source.html#l00053">TrackerPulseConst.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_adf27c57908c034ff5b5b0be05a88976f"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#adf27c57908c034ff5b5b0be05a88976f">eic::ConstTrackerPulse::operator==</a></div><div class="ttdeci">bool operator==(const ConstTrackerPulse &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8h_source.html#l00083">TrackerPulseConst.h:83</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_a28edc3f3c75883b269ad7ae00a2f3012"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#a28edc3f3c75883b269ad7ae00a2f3012">eic::ConstTrackerPulse::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8cc_source.html#l00069">TrackerPulseConst.cc:69</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_aee17c4b82128d799b8952e76a58bceca"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#aee17c4b82128d799b8952e76a58bceca">eic::ConstTrackerPulse::corrData</a></div><div class="ttdeci">const ::eic::ConstTrackerData corrData() const</div><div class="ttdoc">Access the ... </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8cc_source.html#l00057">TrackerPulseConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_acd95d10c54acf464f6eac03d8eb5b043"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#acd95d10c54acf464f6eac03d8eb5b043">eic::ConstTrackerPulse::operator=</a></div><div class="ttdeci">ConstTrackerPulse &amp; operator=(const ConstTrackerPulse &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8cc_source.html#l00034">TrackerPulseConst.cc:34</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_aef044092af798fe1bff41fa1ed0636b9"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#aef044092af798fe1bff41fa1ed0636b9">eic::ConstTrackerPulse::charge</a></div><div class="ttdeci">const float &amp; charge() const</div><div class="ttdoc">Access the The integrated charge of the pulse. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8cc_source.html#l00055">TrackerPulseConst.cc:55</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_acd2d4064bacf0b07dd4002e2274ef604"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#acd2d4064bacf0b07dd4002e2274ef604">eic::ConstTrackerPulse::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8cc_source.html#l00052">TrackerPulseConst.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_a73decb264f1fa73d21378aa2816ab0e2"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#a73decb264f1fa73d21378aa2816ab0e2">eic::ConstTrackerPulse::clone</a></div><div class="ttdeci">ConstTrackerPulse clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8cc_source.html#l00044">TrackerPulseConst.cc:44</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html_ac6835fcd964d15097a1a6621ae0ecc54"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html#ac6835fcd964d15097a1a6621ae0ecc54">eic::ConstTrackerPulse::time</a></div><div class="ttdeci">const float &amp; time() const</div><div class="ttdoc">Access the The time of the pulse. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8cc_source.html#l00054">TrackerPulseConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_obj_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse_obj.html">eic::TrackerPulseObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_obj_8h_source.html#l00022">TrackerPulseObj.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_pulse_html"><div class="ttname"><a href="classeic_1_1_const_tracker_pulse.html">eic::ConstTrackerPulse</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_const_8h_source.html#l00028">TrackerPulseConst.h:28</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_pulse_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_tracker_pulse_collection_iterator.html">eic::TrackerPulseCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_pulse_collection_8h_source.html#l00029">TrackerPulseCollection.h:29</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
